Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.web.bindery.requestfactory.shared
Interface EntityProxy

All Superinterfaces:
  BaseProxy

    public interface EntityProxy

extends BaseProxy

A proxy for a server-side domain object.

Method Summary
`EntityProxyId<?>` | `stableId()` Returns the `EntityProxyId` that identifies a particular instance of the type proxied by the receiver.

Method Detail

### stableId

    EntityProxyId<?> stableId()

  Returns the `EntityProxyId` that identifies a particular instance of the type proxied by the receiver.

  An id returned by a proxy newly created by `RequestContext.create(java.lang.Class)` `equals` those returned later by proxies to the persisted object.

  Subtypes should override to declare they return a stable id of their own type, to allow type safe use of the request objects returned by `RequestFactory.find(EntityProxyId)`.

  Returns:
    an `EntityProxyId` instance

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD